<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\Block\Requirements.
 */

namespace Drupal\drd\Plugin\Block;

use Drupal\Core\Annotation\Translation;
use Drupal\Core\Block\Annotation\Block;
use Drupal\drd\Entity\DomainInterface;

/**
 * Provides a 'Requirements' block.
 *
 * @Block(
 *  id = "domain_requirements",
 *  admin_label = @Translation("Domain requirements"),
 * )
 */
class Requirements extends Base {

  /**
   * {@inheritdoc}
   */
  public function build() {
    if (!$this->isDrdContext()) {
      return [];
    }
    $entity = $this->getEntity();
    if (!($entity instanceof DomainInterface)) {
      return [];
    }

    \Drupal::moduleHandler()->loadInclude('drd', 'install');
    $requirements = $entity->getRequirements();
    if (empty($requirements)) {
      return [];
    }

    $build['status_report'] = [
      '#theme' => 'status_report',
      '#requirements' => $requirements,
    ];

    return $build;
  }

}
