<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\views\field\UpdateStatus.
 */

namespace Drupal\drd\Plugin\views\field;

use Drupal\Core\Render\Markup;
use Drupal\Core\Url;
use Drupal\drd\UpdateProcessor;
use Drupal\views\Annotation\ViewsField;
use Drupal\views\Plugin\views\field\Standard;
use Drupal\views\ResultRow;

/**
 * A handler to display the project update status.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("drd_update_status")
 */
class UpdateStatus extends Standard {
  /**
   * @inheritDoc
   */
  public function __construct(array $configuration, $plugin_id, $plugin_definition) {
    $this->realField = 'updatestatus';
    parent::__construct($configuration, $plugin_id, $plugin_definition);
  }

  /**
   * {@inheritdoc}
   */
  public function render(ResultRow $values) {
    $statuses = UpdateProcessor::getStatuses();
    $status = $this->getValue($values);
    if (empty($status)) {
      return '';
    }
    $type = $statuses['status'][$status]['type'];
    return $statuses['type'][$type]['title'];
  }

}
